<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
    <title>NaoCloud | Management</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/images/roboto-logo.png}"/>
    <link rel="stylesheet" type="text/css" th:href="@{/css/home.css}"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>

<body background="/images/18.jpg"
      style="background-position: center; background-repeat: no-repeat; background-size: cover;">
<noscript>
    <h2>Sorry! Your browser doesn't support Javascript</h2>
</noscript>
<nav class="navbar navbar-default">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" th:href="@{admin/home}">NaoCloud</a>
        </div>
        <ul class="nav navbar-nav">
            <li class="active"><a th:href="@{admin/home}">Home</a></li>
            <li><a th:href="@{/chat}">Chat</a></li>
        </ul>
        <!--Logout button-->
        <form th:action="@{/logout}" method="get">
            <button class="btn btn-md btn-danger btn-block" name="logout"
                    type="Submit">Logout
            </button>
        </form>
    </div>
</nav>
<div class="container">

    <!--Container holding all sub element-->
    <div class="panel-group" style="margin-top:40px">

        <h3><span class="badge badge-secondary" th:utext="${userName}">username displayed here</span></h3>

        <div class="panel panel-primary">
            <div class="panel-heading">
                <span>Info panel</span>
            </div>
            <div class="panel-body">
                <form action="#" th:action="@{/admin/home/selectInstance}" th:object="${session}" method="post">

                        <table class="table">
                            <tr>
                                <td>
                                    <div>
                                        <label th:text="${err}">Error occurred while selecting instance</label>
                                            <select th:field="*{activeIP}">
                                                <option th:each="iterator : ${allInstances}"
                                                th:value="${iterator}"
                                                th:text="${iterator}">0.0.0.0
                                                </option>
                                            </select>
                                        <button type="submit" name="submit">Select</button>
                                    </div>
                                </td>
                        <td>
                            <div  th:unless="${selected} == null">
                                <table align="right">
                                    <tr><p class="h4">Device name: <span th:text="${selected.InstanceName}">MyNao19</span></p></tr>
                                    <tr><p class="h4">Session started at: <span th:text="${selected.time}">1/1/2019</span></p></tr>
                                    <tr>
                                        <p class="h4">Battery level:
                                        <span th:switch="${selected.battery}">
                                            <img th:case="'25'" th:src="@{/images/bat/bat25.png}"/>
                                            <img th:case="'50'" th:src="@{/images/bat/bat50.png}"/>
                                            <img th:case="'75'" th:src="@{/images/bat/bat75.png}"/>
                                            <img th:case="'100'" th:src="@{/images/bat/bat100.png}"/>
                                        </span></p>
                                    </tr>
                                    <tr><p class="h4">Device IP: <span th:text="${selected.IP}"></span> and port is: <span th:text="${selected.Port}"></span></p></tr>
                                </table>
                            </div>
                        </td>
                            </tr>
                        </table>
                </form>
            </div>
        </div>

        <!--management console panel + admin message-->
        <div class="panel panel-primary">
            <div class="panel-heading">
                <span>Management console</span>
            </div>
            <div class="panel-body">
                <table class="table">
                    <tr>
                        <td>
                            <form action="#"  th:action="@{/admin/home/executeCommand}" th:object="${session}" method="post">
                                <select th:field="*{command}">
                                    <option th:each="i : ${allCommands}" th:value="${i}" th:text="${i}">
                                    </option>
                                </select>

                                <input type="text" th:field="*{arg}" />
                                <button type="submit" name="submit">Execute</button>
                            </form>
                        </td>
                    </tr>
                </table>
            </div>

            <p class="admin-message-text text-center" th:utext="${adminMessage}">Placeholder for admin msg</p>
        </div>

        <div class="panel panel-primary">
            <div class="panel-heading">
                <span>Recent activity</span>
            </div>
            <div class="panel-body">

                <h2>Events and warnings</h2>
                <div id="table-wrapper">
                    <div id="table-scroll">
                <table class="table">
                    <thead>
                    <tr>
                        <th>Date and Time</th><th>Type</th>
                        <th>Message</th><th>Status</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="log : ${allLogs}">
                        <td th:text="${log.dateAndTime}">13/01/2011</td>
                        <td th:text="${log.ipAndPort}">13/01/2011</td>
                        <td th:text="${log.type}">WARN</td>
                        <td th:text="${log.message}">Connection timeout</td>
                        <td th:text="${log.status}">OK</td>
                    </tr>
                    </tbody>
                </table>
                    </div>
                </div>
            </div>
        </div>
</div>
</div>

</body>
</html>